
/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/VARFRM.H__   1.2.1.4   17 Apr 1997 16:09:14   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/VARFRM.H__  $
** 
**    Rev 1.2.1.4   17 Apr 1997 16:09:14   ZJRD
** No change.
** 
**    Rev 1.2.1.3   16 Apr 1997 10:44:40   ZJRD
** No change.
** 
**    Rev 1.2.1.2   10 Apr 1997 15:49:08   ZJRD
** No change.
** 
**    Rev 1.2.1.1   03 Apr 1997 15:28:12   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:31:32   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:40:44   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:53:36   ZJRD
** Initial revision.
** 
**    Rev 1.7.1.0.1.2   09 Dec 1996 10:16:12   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.7.1.0.1.0   11 Nov 1996 12:59:28   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.7.1.4   09 Sep 1996 13:18:20   ZJRD
** No change.
** 
**    Rev 1.7.1.3   05 Sep 1996 11:29:50   ZJRD
** No change.
** 
**    Rev 1.7.1.2   02 Sep 1996 09:56:54   ZJRD
** No change.
** 
**    Rev 1.7.1.1   28 Aug 1996 15:51:26   ZJRD
** No change.
** 
**    Rev 1.7.1.0   12 Aug 1996 10:55:04   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.5   05 Jun 1996 14:58:08   ZJRD
** No change.
** 
**    Rev 1.4   29 May 1996 09:28:46   ZJRD
** No change.
** 
**    Rev 1.3   16 May 1996 09:06:00   ZJRD
** No change.
** 
**    Rev 1.2   10 May 1996 09:12:02   ZJRD
** No change.
** 
**    Rev 1.1   02 May 1996 10:27:06   ZJRD
** EasyPack/SLD Version 1.92
** 
**    Rev 1.31   18 Apr 1996 13:00:46   Shirley
** No change.
** 
**    Rev 1.30   12 Apr 1996 10:37:50   Shirley
** No change.
** 
**    Rev 1.29   02 Apr 1996 09:30:54   Shirley
** No change.
** 
**    Rev 1.28   15 Feb 1996 08:52:22   Shirley
** No change.
** 
**    Rev 1.27   12 Feb 1996 14:06:54   Shirley
** No change.
** 
**    Rev 1.26   06 Feb 1996 15:33:22   Shirley
** No change.
** 
**    Rev 1.25   06 Feb 1996 13:48:18   Shirley
** No change.
** 
**    Rev 1.24   01 Feb 1996 10:12:38   Shirley
** No change.
** 
**    Rev 1.23   26 Jan 1996 09:12:20   Shirley
** No change.
** 
**    Rev 1.22   25 Jan 1996 13:13:02   Shirley
** No change.
** 
**    Rev 1.21   24 Jan 1996 10:36:38   Shirley
** No change.
** 
**    Rev 1.20   23 Jan 1996 11:27:10   Shirley
** No change.
** 
**    Rev 1.19   18 Jan 1996 10:10:24   Shirley
** No change.
** 
**    Rev 1.18   15 Jan 1996 16:11:28   Shirley
** No change.
** 
**    Rev 1.17   04 Jan 1996 11:12:24   Shirley
** No change.
** 
**    Rev 1.16   30 Nov 1995 09:11:38   Shirley
** No change.
** 
**    Rev 1.15   28 Nov 1995 15:32:18   Shirley
** No change.
** 
**    Rev 1.14   21 Nov 1995 11:22:46   Shirley
** No change.
** 
**    Rev 1.13   13 Nov 1995 09:28:06   Shirley
** No change.
** 
**    Rev 1.12   12 Nov 1995 11:29:56   Shirley
** No change.
** 
**    Rev 1.11   08 Nov 1995 16:33:08   Shirley
** No change.
** 
**    Rev 1.10   08 Nov 1995 12:45:06   Shirley
** No change.
** 
**    Rev 1.9   02 Nov 1995 10:03:38   Shirley
** No change.
** 
**    Rev 1.8   27 Oct 1995 16:46:48   Shirley
** No change.
** 
**    Rev 1.7   27 Oct 1995 13:44:22   Shirley
** No change.
** 
**    Rev 1.6   25 Oct 1995 14:26:08   Shirley
** No change.
** 
**    Rev 1.5   18 Oct 1995 14:48:50   Shirley
** No change.
** 
**    Rev 1.4   13 Oct 1995 13:18:26   Shirley
** No change.
** 
**    Rev 1.3   29 Sep 1995 09:47:50   Shirley
** No change.
** 
**    Rev 1.2   20 Sep 1995 10:58:02   Shirley
** No change.
** 
**    Rev 1.1   15 Sep 1995 09:46:34   Shirley
** EasyPack/SLDV0.1a 
** 
**    Rev 1.0   07 Sep 1995 09:55:24   Shirley
** Initial revision.
**
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name: VARFRM.H
//
//  Description: The header file for the class: CVarFrame.
//
//  Author: Chen Jun
//
//  Date: 07/03/95
//
//  Modification:
//      1. 07/03/95, Initial version of the class: CVarFrame.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _VARFRM_
#define _VARFRM_


/////////////////////////////////////////////////////////////////////////////
// CVarFrame frame

class CVarFrame : public CMDIChildWnd
{
    DECLARE_DYNCREATE(CVarFrame)
public:
    BOOL PreCreateWindow(CREATESTRUCT& cs);
    CVarFrame();

// Attributes
public:
    enum { bottomHeight = 20 };
    CVarPane m_wndBottomPane;

// Operations
private:
    BOOL m_nErrorID;
    enum {
        noError = 0,        // No error.
        insufficientMemory, // Insufficient memory.
        bottomPane,         // Cannot create Bottom pane.
        maxError = 10       // Limition of error ID.
    };
    void DisplayErrorMessage(void) const;

// Implementation
protected:
    virtual ~CVarFrame();

protected:
/*
    afx_msg void OnViewSortbyHistory();
    afx_msg void OnUpdateViewSortbyHistory(CCmdUI* pCmdUI);
    afx_msg void OnViewSortbyName();
    afx_msg void OnUpdateViewSortbyName(CCmdUI* pCmdUI);
    afx_msg void OnViewDisplayHorizontally();
    afx_msg void OnUpdateViewDisplayHorizontally(CCmdUI* pCmdUI);
    afx_msg void OnViewDisplayVertically();
    afx_msg void OnUpdateViewDisplayVertically(CCmdUI* pCmdUI);
    afx_msg void OnViewTypeCast();
    afx_msg void OnUpdateViewTypecast(CCmdUI* pCmdUI);
*/
    // Generated message map functions
    //{{AFX_MSG(CVarFrame)
    afx_msg void OnSrchComboKillFocus();
    afx_msg void OnUpdateSearchCombo(CCmdUI* pCmdUI);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
    afx_msg void OnEditModifyValues();
    afx_msg void OnEditSearch();
    afx_msg void OnEditSearchNext();
    afx_msg void OnUpdateEditSearchNext(CCmdUI* pCmdUI);
    afx_msg void OnVariableAdd();
    afx_msg void OnVariableDelete();
    afx_msg void OnVariableDeleteAll();
    afx_msg void OnVariableEdit();
    afx_msg void OnVariableUndelete();
    afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
    afx_msg void OnUpdateEditModifyvalues(CCmdUI* pCmdUI);
    afx_msg void OnUpdateEditSearch(CCmdUI* pCmdUI);
    afx_msg void OnUpdateVariableDelete(CCmdUI* pCmdUI);
    afx_msg void OnUpdateVariableDeleteall(CCmdUI* pCmdUI);
    afx_msg void OnUpdateVariableEdit(CCmdUI* pCmdUI);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
//////////////////////////////// End of File ////////////////////////////////
